.TH RAPMAP_PSEUDOINDEX "1" "September 2016" "rapmap_pseudoindex 0.3.0" "User Commands"
.SH NAME
rapmap_pseudoindex \- rapmap module to build a k-mer-based index
.SH SYNOPSIS
.B rapmap pseudoindex
[\-k <positive integer less than 32>] \fB\-i\fR <path> \fB\-t\fR
<path> [\-\-] [\-\-version] [\-h]
.SH DESCRIPTION
RapMap Indexer
.P
RapMap is a testing ground for ideas in quasi-mapping / (lightweight /
pseudo) transcriptome alignment. That means that, at this point, it is
somewhat experimental. The develop branch will have the latest
improvements and additions, but is not guaranteed to be stable between
commits. Breaking changes to the master branch will be accompanied by a
tag to the version before the breaking change. Currently, RapMap is a
stand-alone quasi-mapper that can be used with other tools. It is also
being used as part of Sailfish and Salmon. Eventually, the hope is to
create and stabilize an API so that it can be used as a library from
other tools.
.SH OPTIONS
.TP
\fB\-k\fR, \fB\-\-klen\fR <positive integer less than 32>
The length of k\-mer to index
.TP
\fB\-i\fR, \fB\-\-index\fR <path>
(required)
The location where the index should be written
.TP
\fB\-t\fR, \fB\-\-transcripts\fR <path>
(required)
The transcript file to be indexed
.TP
\fB\-\-\fR, \fB\-\-ignore_rest\fR
Ignores the rest of the labeled arguments following this flag.
.TP
\fB\-\-version\fR
Displays version information and exits.
.TP
\fB\-h\fR, \fB\-\-help\fR
Displays usage information and exits.
.SH AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.
